﻿using Infragistics.Controls.Grids;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace XamGrid_GroupBy_SL
{
    public partial class MainPage : UserControl
    {
        public ObservableCollection<Person> People { get; set; }

        public MainPage()
        {
            InitializeComponent();

            this.People = new ObservableCollection<Person>();
            this.People.Add(new Person { Name = "Michael", Grade = 5, School = "SchoolA", Subjects = "xxx" });
            this.People.Add(new Person { Name = "John", Grade = 5, School = "SchoolB", Subjects = "xxx" });
            this.People.Add(new Person { Name = "Frank", Grade = 5, School = "SchoolC", Subjects = "xxx" });
            this.People.Add(new Person { Name = "Ruth", Grade = 5, School = "SchoolA", Subjects = "xxx" });
            this.People.Add(new Person { Name = "Nelsol", Grade = 5, School = "SchoolB", Subjects = "xxx" });

            this.DataContext = People;
        }

        private void xamGrid1_Loaded(object sender, RoutedEventArgs e)
        {
            Column col1 = this.xamGrid1.Columns.DataColumns["School"];
            this.xamGrid1.GroupBySettings.GroupByColumns.Add(col1);
        }
    }

    public class Person
    {
        public string Name { get; set; }
        public string School { get; set; }
        public int Grade { get; set; }
        public string Subjects { get; set; }
    }
}
